Package com.databricks.jdbc.dbclient.impl.http

## Class DatabricksHttpClient

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.http.DatabricksHttpClient

All Implemented Interfaces:
  `IDatabricksHttpClient`

    public class DatabricksHttpClient
    extends Object
    implements IDatabricksHttpClient

Http client implementation to be used for executing http requests.

### Field Summary

Fields
`static int` `DEFAULT_BACKOFF_FACTOR`
`protected static int` `idleHttpConnectionExpiry`
`static JdbcLogger` `LOGGER`
`static int` `MAX_RETRY_INTERVAL`
`static int` `MIN_BACKOFF_INTERVAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `closeExpiredAndIdleConnections()`
`org.apache.http.client.methods.CloseableHttpResponse` `execute​(org.apache.http.client.methods.HttpUriRequest request)` Executes the given http request and returns the response TODO: add error handling
`org.apache.http.client.methods.CloseableHttpResponse` `executeWithoutCertVerification​(org.apache.http.client.methods.HttpUriRequest request)`
`static DatabricksHttpClient` `getInstance​(IDatabricksConnectionContext context)`
`static void` `removeInstance​(IDatabricksConnectionContext context)`
`static void` `setupProxy​(IDatabricksConnectionContext connectionContext, org.apache.http.impl.client.HttpClientBuilder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

#### DEFAULT_BACKOFF_FACTOR

    public static final int DEFAULT_BACKOFF_FACTOR

See Also:
  Constant Field Values

#### MIN_BACKOFF_INTERVAL

    public static final int MIN_BACKOFF_INTERVAL

See Also:
  Constant Field Values

#### MAX_RETRY_INTERVAL

    public static final int MAX_RETRY_INTERVAL

See Also:
  Constant Field Values

#### idleHttpConnectionExpiry

    protected static int idleHttpConnectionExpiry

### Method Detail

#### setupProxy

    public static void setupProxy​(IDatabricksConnectionContext connectionContext,
                                  org.apache.http.impl.client.HttpClientBuilder builder)

#### getInstance

    public static DatabricksHttpClient getInstance​(IDatabricksConnectionContext context)

#### execute

    public org.apache.http.client.methods.CloseableHttpResponse execute​(org.apache.http.client.methods.HttpUriRequest request)
                                                                 throws DatabricksHttpException

Description copied from interface: `IDatabricksHttpClient`
Executes the given http request and returns the response TODO: add error handling

Specified by:
  `execute` in interface `IDatabricksHttpClient`
Parameters:
  `request` - underlying http request
Returns:
  http response
Throws:
  `DatabricksHttpException`

#### executeWithoutCertVerification

    public org.apache.http.client.methods.CloseableHttpResponse executeWithoutCertVerification​(org.apache.http.client.methods.HttpUriRequest request)
                                                                                        throws DatabricksHttpException

Throws:
  `DatabricksHttpException`

#### closeExpiredAndIdleConnections

    public void closeExpiredAndIdleConnections()

Specified by:
  `closeExpiredAndIdleConnections` in interface `IDatabricksHttpClient`

#### removeInstance

    public static void removeInstance​(IDatabricksConnectionContext context)